低危 特制的数据包可能导致命名泄漏内存

CVE编号

CVE-2018-5744

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-10-10
漏洞描述
在bind处理某些消息时未能释放内存的方式中发现了一个缺陷。攻击者可以使用这个漏洞通过内存耗尽来导致拒绝服务,方法是发送具有DNS (EDNS)选项扩展机制精心设计的消息。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 isc bind * From
(including)
9.10.7
Up to
(excluding)
9.10.8
运行在以下环境
应用 isc bind * From
(including)
9.11.3
Up to
(excluding)
9.11.5
运行在以下环境
应用 isc bind * From
(including)
9.12.0
Up to
(excluding)
9.12.3
运行在以下环境
应用 isc bind * From
(including)
9.13.0
Up to
(excluding)
9.13.6
运行在以下环境
应用 isc bind 9.10.7 -
运行在以下环境
应用 isc bind 9.10.8 -
运行在以下环境
应用 isc bind 9.11.5 -
运行在以下环境
应用 isc bind 9.12.3 -
运行在以下环境
系统 alpine_3.10 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_3.11 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_3.12 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_3.13 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_3.14 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_3.15 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_3.6 bind * Up to
(excluding)
9.11.5_p4-r0
运行在以下环境
系统 alpine_3.7 bind * Up to
(excluding)
9.11.5_p4-r0
运行在以下环境
系统 alpine_3.8 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_3.9 bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 alpine_edge bind * Up to
(excluding)
9.12.3_p4-r0
运行在以下环境
系统 fedora_28 bind * Up to
(excluding)
9.11.5-4.P4.fc28
运行在以下环境
系统 fedora_29 bind * Up to
(excluding)
9.11.5-4.P4.fc29
运行在以下环境
系统 ubuntu_18.04 bind * Up to
(excluding)
1:9.11.3+dfsg-1ubuntu1.5
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况